## Free React landing page template

![landy](https://user-images.githubusercontent.com/48876996/100373174-cd393880-3023-11eb-9fef-8acdf9733120.gif)

Landy is a free React landing page template designed for developers and startups, who want to create a quick and professional landing page for their business or project.

This React template comes with multi-lingual support, smooth animations, set of ready to use sections and most importantly, all of the content is stored in the JSON files, so that you can manage the texts without having any prior knowledge in React.js.



## Google Lighthouse
![1](https://user-images.githubusercontent.com/48876996/104335960-555c9a00-550d-11eb-8e94-4549637f72bd.PNG)


## Demo

Check the live demo here 👉️ https://landy.website/


### Creating an App

You’ll need to have Node 10.16.0 or later version on your local development machine (but it’s not required on the server). I recommend using the latest LTS version.

To create a new app, you have to:

### npx

Use the following command 

```sh
npx create-react-app my-app --template adrinlol
cd my-app
npm start
```

## What's included

- [axios][axios]
- [antd][antd]
- [react-reveal][react-reveal]
- [react-svg][react-svg]
- [styled-componets][styled-componets]
- [i18next][i18next]
- [@loadable/component][@loadable/component]

## Quick Overview

Your project will have everything you need to build a modern single-page React app:

- Fast and lightweight landing page template using React.
- Highly responsive and reusable UI components, that change depending on the provided props.
- Styling with styled-components and antd.
- Autoprefixed CSS, so you don’t need -webkit- or other prefixes.
- Multi-lingual support using i18next.
- Contact form written in React Hooks, with uncontrolled form validation to reduce any unnecessary performance penalty.
- Content data in the JSON files, so that you can easily manage the content of the website.

## Special thanks

[whoooa][whoooa] - Use fantastic, handmade illustrations with easily changeable colors and different styles.

## Usage

Use it for whatever you want, and be sure to reach out to me on [Twitter](https://twitter.com/Adrinlolx) if you have any questions, or build something cool with it.

## License

Licensed under the MIT license.

<!-- prettier-ignore-start -->
[axios]: https://github.com/axios/axios
[antd]: https://github.com/ant-design/ant-design
[react-reveal]: https://github.com/rnosov/react-reveal
[react-svg]: https://www.npmjs.com/package/react-svg
[styled-componets]: https://github.com/styled-components/styled-components
[i18next]: https://github.com/i18next/i18next
[@loadable/component]: https://www.npmjs.com/package/@loadable/component
[whoooa]: https://www.whoooa.rocks/

<!-- prettier-ignore-end -->
